<template>
  <b-card
    no-body
    class="card-invoices-table"
  > 
    
    <b-table
      :items="invoices"
      responsive
      :fields="fields"
      sticky-header
      class="mb-0"
      show-empty
      empty-text="No se encontraron facturas"
    >

      <template #cell(id)="data">

        {{ data.item.id}} 
      
      </template>

      <template #cell(client)="data">

        {{ data.item.client.name }} 
      
      </template>


      <template #cell(status)="data">
        <b-badge
          pill
          :variant="statusVariant(data.item.estado.id)"
        >
          {{ data.item.estado.name }}
        </b-badge>
      </template>


        <template #cell(details)="data">

            <b-button  :to="{ name: 'apps-invoice-preview', params: { id: data.item.id }}" variant="outline"><feather-icon icon="EyeIcon" /></b-button>
   
        </template>
      
    </b-table>
  </b-card>
</template>

<script>
import {  BCard,BTable,BImg, BProgress, BBadge,BDropdown, BDropdownItem, BAvatar, BButton,BRow, BCol, BFormInput,} from 'bootstrap-vue'

export default {
  components: {
    BCard,
    BTable,
    BAvatar,
    BImg,
    BProgress, 
    BBadge,
    BDropdown, 
    BDropdownItem, 
    BAvatar, 
    BButton,
    BRow, 
    BCol, 
  },
  props: {
    tableData: {
      type: Array,
      default: () => [],
    },
  },

  data() {
    return {
      fields: [
        { key: 'id', label: '#', sortable: true },
        { key: 'quote_date',label: 'Fecha', sortable: true },
        { key: 'client',label: 'Cliente', sortable: true },
        { key: 'status',label: 'Estado', sortable: true },
        { key: 'details',label: 'Detalles', sortable: true  },
      ],
      invoices:[],
      baseURL:'http://quantumdaily-back.test/storage/',
    }
  },
  methods:{
    getInvoices(){
      this.$http.get('dashboard/admin/invoices').then(res=>{
        this.invoices = res.data.invoices
        console.log(this.invoices)
      }).catch(err=>{
        console.log(err)
      })
    },
    statusVariant(status){
      if(status === 1){
        return 'secondary'
      }else if(status === 2){
        return 'info'
      }else if(status === 3){
        return 'success'
      }else if(status === 4){
        return 'warning'
      }else if(status === 5){
        return 'primary'
      }
    },

  },
  mounted(){
    this.getInvoices()
  }
}
</script>

<style lang="scss" scoped>
@import '~@core/scss/base/bootstrap-extended/include';
@import '~@core/scss/base/components/variables-dark';

.card-company-table ::v-deep td .b-avatar.badge-light-company {
  .dark-layout & {
    background: $theme-dark-body-bg !important;
  }
}

</style>
